Нужен пример создания примитива с пользовательским стилем

Автор Alex_F, 20.08.04, 05:43:23

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

Alex_F

Создаю свой стиль в фале Graphic.lcs, номер стиля 13
потом мне необходимо создать отрезок с этим стилем.
Если у кого есть пример создания примитива с польз. стилем,
буду очень благодарен.

Sabahs

var
  Kompas:KompasObject;
  Doc2D:ksDocument2D;
  LibStyle:ksLibStyle;
  LS:Reference;
...
 Doc2D:=ksDocument2D(Kompas.ActiveDocument2D);
  if Doc2Dnil then
   begin
     LibStyle:=ksLibStyle(Kompas.GetParamStruct(ko_LibStyle));
     LibStyle.Init;
     LibStyle.fileName:=’D:\KOMPAS-3D V6 Plus\Sys\Graphic.lcs’;
     LibStyle.styleNumber:=7;
     LS:=Doc2D.ksAddStyle(CURVE_STYLE,LibStyle,1);
     Doc2D.ksLineSeg(0,0,100,100,LS);
   end;